package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
* @Description : LPS库存
* @Reference :
* @author: jessica.chen
* @date: 2019/12/10 17:10
* @Modify:
*/

@Data
@Api(value="LPS库存模板",description = "LPS库存模板")
public class LpsStockQuanModel extends BaseBean {

    private static final long serialVersionUID = 2167743108452607913L;

    //源存储区
    @ApiParam(value = "FromLocation")
    @AnnoOutputColumn
    private String srcZoneNo;

    //目标库位
    @ApiParam(value = "ToBIn")
    @AnnoOutputColumn
    private String locateNo;

    //零件号
    @ApiParam(value = "Item")
    @AnnoOutputColumn
    private String partNo;

    @ApiParam(value = "Qty")
    @AnnoOutputColumn
    private String qty;

    @ApiParam(value = "下标值")
    @AnnoOutputColumn(required = false)
    private Integer index;
}
