package cn.estsh.i3plus.pojo.sweb.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.sweb.bean.SwebPurchaseChangeLog;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 查看订单明细修改历史
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-02 13:13
 * @Modify:
 **/
@Data
public class SwebPODetailsUpdateHistoryModel extends BaseBean {

    private static final long serialVersionUID = -9085820300059480272L;
    @ApiParam("单据号")
    private String orderNo;

    @ApiParam("供应商编号")
    private String vendorNo;

    @ApiParam(value = "零件号")
    private String partNo;

    @ApiParam(value = "零件名称")
    private String partName;

    @ApiParam(value = "订单数量")
    private Double orderQty;

    @ApiParam(value = "确认到货数量")
    private Double confirmQty;

    @ApiParam(value = "变更列表")
    private ListPager<SwebPurchaseChangeLog> history;
}
