package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
* @Description : 生产计划模板
* @Reference :
* @author: jessica.chen
* @date: 2019/12/10 17:10
* @Modify:
*/

@Data
@Api(value="生产计划模板",description = "生产计划模板")
public class MesPpTemplate extends BaseBean {

    private static final long serialVersionUID = 2167743108452607913L;

    @ApiParam(value = "工单号")
    @AnnoOutputColumn
    private String workOrderNo;

    @ApiParam(value = "产线代码")
    @AnnoOutputColumn
    private String pdlineNo;

    @ApiParam(value = "生产日期")
    @AnnoOutputColumn
    private String planProductTime;

    @ApiParam(value = "班次代码")
    @AnnoOutputColumn
    private String shitNo;

    @ApiParam(value = "开始生产时间")
    @AnnoOutputColumn
    private String startProductTime;

    @ApiParam(value = "结束生产时间")
    @AnnoOutputColumn
    private String endProductTime;

    @ApiParam(value = "零件号")
    @AnnoOutputColumn
    private String partNo;

    @ApiParam(value = "零件描述")
    @AnnoOutputColumn
    private String partNameRdd;

    @ApiParam(value = "工单数量")
    @AnnoOutputColumn
    private Double qty;

    @ApiParam(value = "序号")
    @AnnoOutputColumn
    private Integer seq;

    @ApiParam(value = "零件组号")
    @AnnoOutputColumn
    public String partGroupNo;
}
